Package org.eclipse.emf.spi.cdo

## Class DefaultCDOMerger.ChangedInTargetAndDetachedInSourceConflict

- java.lang.Object
- - org.eclipse.emf.spi.cdo.DefaultCDOMerger.Conflict
  - - org.eclipse.emf.spi.cdo.DefaultCDOMerger.ChangedInTargetAndDetachedInSourceConflict

- Enclosing class:
    DefaultCDOMerger

      public static class DefaultCDOMerger.ChangedInTargetAndDetachedInSourceConflict
      extends DefaultCDOMerger.Conflict

  If the meaning of this type isn't clear, there really should be more of a description here...
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ChangedInTargetAndDetachedInSourceConflict​(CDORevisionDelta targetDelta)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CDOID` | `getID()` |
    `CDORevisionDelta` | `getTargetDelta()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ChangedInTargetAndDetachedInSourceConflict

          public ChangedInTargetAndDetachedInSourceConflict​(CDORevisionDelta targetDelta)

  - ### Method Detail

    - #### getID

          public CDOID getID()

      Specified by:
        `getID` in class `DefaultCDOMerger.Conflict`

    - #### getTargetDelta

          public CDORevisionDelta getTargetDelta()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`